﻿* Encoding: UTF-8.

*******************************************************************************************************************************************************
***Read in data on companies

GET
  FILE='path\SUF_VSE_2014_Betriebe.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.


SORT CASES BY ef1.

***FREQUENCIES VARIABLES=ef2 ef4 ef6 ef9 ef10 ef11 ef12 ef14 ef15 ef16a ef16b a51 ef21 ef26 ef26_ma
    ef31 GG2010 HERKUNFT
  /ORDER=ANALYSIS.

var labels EF15 'Betriebsübliche WAZ'.
val labels EF15
    1    '<35H'
    2    '35-<37H'
    3    '37-<37,5H'
    4    '37,5-<38H'
    5    '38-<38,5H'
    6    '38,5-<39H'
    7    '39-<39,5H'
    8    '39,5-<40H'
    9    '40-<41H'
    10  '41-<42H'
    11  '42-<45H'
    12  '45-<48H'
    13  '48-<50H'
    14  '50>H'.

freq var = ef15.

* Collective bargaining coverage

compute tarif = 0.
If (ef16a = 0 or ef16b = 0) tarif = 1.
if (ef16a = 1 or ef16b = 1 or ef16b = 2)  tarif = 2.

val labels tarif         1     'keine Tarifvertrag'
                            2      'Tarifvertrag'.
                       
freq var = tarif.


recode ef26 (sysmis = 0) (else = copy) into ef26r.
freq var = ef26r.
var label ef26r 'Beschäftigte im Betrieb, z.T.mikroagg.'.
freq var = ef26r.

*******************************************************************************************************************************************************
***Read in data on individuals

GET
  FILE='path\SUF_VSE_2014_AN.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.

SORT CASES BY ef1.

freq var = all.

STAR JOIN
  /SELECT t0.ef2, t0.ef3, t0.ef8, t0.ef9, t0.ef10, t0.ef15, t0.TAETIGKEITSSCHLUESSEL2, 
    t0.TAETIGKEITSSCHLUESSEL3, t0.TAETIGKEITSSCHLUESSEL4, t0.TAETIGKEITSSCHLUESSEL5, t0.ef16u1, 
    t0.ef16u2, t0.ef17, t0.ef18, t0.ef19, t0.ef20, t0.ef21, t0.ef22, t0.ef23, t0.ef24, t0.ef25, 
    t0.ef26, t0.ef27, t0.ef28, t0.ef29, t0.ef36, t0.ef38, t0.b52, t0.ef40, t0.ef41, t0.ef42, t0.ef43, 
    t0.ef44, t0.ef48, t0.ef49, t0.ef50, t0.ef52, t0.ef59u1, t0.ef59u3, t1.ef2Betrieb, t1.ef4, t1.ef6, 
    t1.ef9Betrieb, t1.ef10Betrieb, t1.ef11, t1.ef12, t1.ef14, t1.ef15Betrieb, t1.ef16a, t1.ef16b, 
    t1.a51, t1.ef21Betrieb, t1.ef26Betrieb, t1.ef26_ma, t1.ef31, t1.GG2010, t1.HERKUNFT, t1.tarif, 
    t1.ANZAN, t1.ef26r
  /FROM * AS t0
  /JOIN 'Q:\fb_1\fb15\10106_2_Daten\VSE\VSE 2014\Daten\VSE2014_SPSS\SUF_VSE_2014_Betriebe.sav' AS t1    
    ON t0.ef1=t1.ef1
  /OUTFILE FILE=*.

*********************************************************************************************************************************************************
***Sample restrictions

***exclude partially retired and apprentices

Select if (ef17 = 1 or ef17 = 2 or ef17 = 5).
freq var = ef17.

***exclude trainees and interns 

select if (ef16u1 ne 0).
freq var = ef16u1.

***restrict to employees older than 18 years of age

select if (ef41 ge 18).
freq var = ef41.  
  
*********************************************************************************************************************************************************
*******Calculate hourly wages

***paid monthly hours without overtime pay or special payments
freq var = ef21 ef22 ef23.

compute bruttoyohne = ef21 - ef22 - ef23.
freq var = bruttoyohne.

compute bruttoyH = bruttoyohne / ef19.
freq var = bruttoyH.

COMPUTE bruttoyHr = bruttoyH * 10.
freq var = bruttoyHr.

COMPUTE bruttoyHrd =RND(bruttoyHr).
Compute bruttoyHrdr = bruttoyHrd / 10.
freq var = bruttoyHrdr.


SAVE OUTFILE='path\SUF_VSE_2014_AN_Betrieb.sav'
  /COMPRESSED.


